### Exercise Diary with Shared-Prefs and Lists
Write a diary app that consists of a ListActivity and a TextActivity (has Reading and  Writing mode). The ListActivity contains a list of dates (day, month, year) for which a diary-content exists. Furthermore it has an add-Button that opens the TextActivity (in Writing-Mode) where a diary-text for today can be added persistently. If the user clicks on a day-entry in the ListActivity, the Text-Activity opens in Reading-Mode and shows the respective diary text of that day.